org.keycloak.services.clientregistration.policy.impl

## Class ClientScopesClientRegistrationPolicyFactory

- java.lang.Object
- - org.keycloak.services.clientregistration.policy.AbstractClientRegistrationPolicyFactory
  - - org.keycloak.services.clientregistration.policy.impl.ClientScopesClientRegistrationPolicyFactory

- All Implemented Interfaces:
    ComponentFactory<ClientRegistrationPolicy,ClientRegistrationPolicy>, ConfiguredProvider, ProviderFactory<ClientRegistrationPolicy>, ClientRegistrationPolicyFactory

      public class ClientScopesClientRegistrationPolicyFactory
      extends AbstractClientRegistrationPolicyFactory

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALLOW_DEFAULT_SCOPES`
    `static String` | `ALLOWED_CLIENT_SCOPES`
    `static String` | `PROVIDER_ID`

    - ### Fields inherited from class org.keycloak.services.clientregistration.policy.AbstractClientRegistrationPolicyFactory

      `sessionFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientScopesClientRegistrationPolicyFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientRegistrationPolicy` | `create(KeycloakSession session, ComponentModel model)`
    `List<ProviderConfigProperty>` | `getConfigProperties()`
    `List<ProviderConfigProperty>` | `getConfigProperties(KeycloakSession session)` Get config properties filled for particular session.
    `String` | `getHelpText()`
    `String` | `getId()`

    - ### Methods inherited from class org.keycloak.services.clientregistration.policy.AbstractClientRegistrationPolicyFactory

      `close, init, postInit, validateConfiguration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.component.ComponentFactory

      `create, getCommonProviderConfigProperties, getTypeMetadata, onCreate, onUpdate, preRemove`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

    - #### ALLOWED_CLIENT_SCOPES

          public static final String ALLOWED_CLIENT_SCOPES

      See Also:
        Constant Field Values

    - #### ALLOW_DEFAULT_SCOPES

          public static final String ALLOW_DEFAULT_SCOPES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClientScopesClientRegistrationPolicyFactory

          public ClientScopesClientRegistrationPolicyFactory()

  - ### Method Detail

    - #### create

          public ClientRegistrationPolicy create(KeycloakSession session,
                                                 ComponentModel model)

    - #### getHelpText

          public String getHelpText()

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties(KeycloakSession session)

      Description copied from interface: `ClientRegistrationPolicyFactory`
      Get config properties filled for particular session. It assumes the session.getContext() has set realm
      Specified by:
        `getConfigProperties` in interface `ClientRegistrationPolicyFactory`
      Overrides:
        `getConfigProperties` in class `AbstractClientRegistrationPolicyFactory`
      Returns:

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties()

    - #### getId

          public String getId()

Copyright © 2020 JBoss by Red Hat. All rights reserved.